### Function

# GLib get_system_config_dirs

since: 2.6

#### Declaration [src]

    const gchar* const*
    g_get_system_config_dirs (
      void
    )

#### Description [src]

Returns an ordered list of base directories in which to access system-wide configuration information.

On UNIX platforms this is determined using the mechanisms described in the XDG Base Directory Specification. In this case the list of directories retrieved will be `XDG_CONFIG_DIRS`.

On Windows it follows XDG Base Directory Specification if `XDG_CONFIG_DIRS` is defined. If `XDG_CONFIG_DIRS` is undefined, the directory that contains application data for all users is used instead. A typical path is `C:\Documents and Settings\All Users\Application Data`. This folder is used for application data that is not user specific. For example, an application can store a spell-check dictionary, a database of clip art, or a log file in the FOLDERID_ProgramData folder. This information will not roam and is available to anyone using the computer.

The return value is cached and modifying it at runtime is not supported, as it’s not thread-safe to modify environment variables at runtime.

Available since: 2.6

#### Return value

Type: An array of `filename`

    a `NULL`-terminated array of strings owned by GLib that must not be
    modified or freed.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.